%global __provides_exclude_from %{_libdir}/thunarx-3/.*\\.so

Name:		thunar-dropbox
Summary:	Dropbox plugin for Thunar
Version:	0.3.1
Release:	%mkrel 3
License:	GPLv3
Group:		Graphical desktop/Xfce
Url:		https://github.com/Jeinzi/thunar-dropbox
Source0:	https://github.com/Jeinzi/thunar-dropbox/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	git-core
BuildRequires:	pkgconfig(thunarx-3)
Requires:	hicolor-icon-theme
Requires:	thunar
Requires:	dropbox

%description
Thunar Dropbox is a plugin for thunar that adds context-menu items from
dropbox.

%prep
%autosetup -p1 -Sgit_am

# fix libdir
sed -i -e 's,lib/,%{_lib}/,g' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{_libdir}/thunarx-3/thunar-dropbox.so
%{_iconsdir}/hicolor/*/apps/thunar-dropbox.png


%changelog
* Fri Apr 15 2022 umeabot <umeabot> 0.3.1-3.mga9
+ Revision: 1850543
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 daviddavid <daviddavid> 0.3.1-2.mga8.nonfree
+ Revision: 1548886
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 01 2019 wally <wally> 0.3.1-1.mga8.nonfree
+ Revision: 1436113
- new version 0.3.1
- switch to cmake build

* Sun Feb 10 2019 wally <wally> 0.3.0-1.mga7.nonfree
+ Revision: 1365087
- new version 0.3.0
- switch to more active fork

* Fri Sep 21 2018 umeabot <umeabot> 0.2.1-3.mga7.nonfree
+ Revision: 1291825
- Mageia 7 Mass Rebuild

* Sat Jan 13 2018 wally <wally> 0.2.1-2.mga7.nonfree
+ Revision: 1192646
- add patch to port to thunarx-3

* Sun Nov 08 2015 wally <wally> 0.2.1-1.mga6.nonfree
+ Revision: 898994
- new version 0.2.1
- drop unneeded lib64 patch

* Sun Jun 21 2015 wally <wally> 0.2.0-4.mga6.nonfree
+ Revision: 837618
- fix requires after dropbox-bin was renamed as dropbox

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-3.mga5.nonfree
+ Revision: 743999
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-2.mga5.nonfree
+ Revision: 689871
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 wally <wally> 0.2.0-1.mga5.nonfree
+ Revision: 587097
- add patch to fix install on x86_64 (patch originally from Heiko Adams)
- imported package thunar-dropbox

